#include "rdseed.h"

#include "ddl.h"
#include <stdio.h>
#include <stdlib.h>

void free_ddl_key( struct prim_struct *prim_head ) {

	struct prim_struct *prim;

	while ( prim_head != NULL )
	{
		prim = prim_head;
		prim_head = prim->next;
		switch ( prim->type )
		{
			case 'W':
				free( prim->data.ext_byte.order );
				break;
			case 'B':
				if ( prim->data.ext_bits.num_order != 0 )
				{
					free( prim->data.ext_bits.order1 );
					free( prim->data.ext_bits.order2 );
				}
				break;
			case 'D':
			case 'C':
 			case 'S':
 			case 'A':
 			case 'Y':
 			case 'X':
			case 'O':
 			case 'J':
 			case 'M':
			case 'I':
 			case 'L':
				break;
 			case 'P':
				if ( prim->data.gain_code.num_codes != 0 )
				{
					free( prim->data.gain_code.code );
					free( prim->data.gain_code.mult );
				}
				break;
			case 'E':
 			case 'H':
 			case 'Z':
 			case 'F':
 			case 'R':
 			case 'N':
 			case 'T':
 			case 'K':
			case 'G':
				break;
			default:
				printf( "ERROR in free_ddl_key(): invalid DDL block type '%c'\n", prim->type );
				break;
		}
		free( prim );
	}

}
