#!/bin/sh -x
# shell script for repeatable rdseed system tests
# ADJUST THESE TESTS TO USE FILES ON YOUR LOCAL SYSTEM


##############################################################################################
# test bugs reported where the JWEED 4.1 summary file cannot be parsed correctly by rdseed
input_file1=/Users/rob/Desktop/rdseed_eval/JWEED\ output/fdsnws-dataselect_2014-05-21T19_33_07.mseed
alt_response_file1=/Users/rob/Desktop/rdseed_eval/JWEED\ output/PASC_dataless.203732.dataless
output_dir1=/Users/rob/Desktop/rdseed_eval/junk
summary_file1=/Users/rob/Desktop/rdseed_eval/JWEED\ output/2009_PASC_BHZ_test.summary
if [ -f "$alt_response_file1" -a -f "$summary_file1" -a -f "$input_file1" -a -d "$output_dir1" ];then
export ALT_RESPONSE_FILE="$alt_response_file1"
# miniseed file to seed file
./rdseed -f "$input_file1" -q "$output_dir1" -o 5
# seed file to trimmed seed file -- using summary file
unset ALT_RESPONSE_FILE
./rdseed -x "$summary_file1" -f "$output_dir1/seed.rdseed.0001" -q "$output_dir1" -o 4
# sac file output trimmed using summary file
./rdseed -x "$summary_file1" -f "$output_dir1/seed.rdseed.0001" -q "$output_dir1"
fi


exit 0

###################################################################################
# test bug/support #1022 -- hitting too many files limit in pack_em() function
# note: the conditional if statement requires that (-f) files and (-d) directories
#       be present, or the test gets skipped
input_file1=/Users/rob/Desktop/rdseed_eval/Issue_1218/PAS.CI.test.641728.seed
output_dir1=/Users/rob/Desktop/rdseed_eval/junk
if [ -f "$input_file1" -a -d "$output_dir1" ];then
./rdseed -f $input_file1 -o 5 -q $output_dir1 -E
# should NOT report too many files on first iteration
./rdseed -f $input_file1 -o 5 -q $output_dir1 -E
# should increment the file numbers...we are a long way from the limit
./rdseed -f $input_file1 -o 5 -q $output_dir1 -E
./rdseed -f $input_file1 -o 5 -q $output_dir1 -E
./rdseed -f $input_file1 -o 5 -q $output_dir1 -E
./rdseed -f $input_file1 -o 5 -q $output_dir1 -E
# ad nauseum
fi
